import { JsrPackage } from "./utils";
export declare const JSR_URL: string;
export interface PackageMeta {
    scope: string;
    name: string;
    latest?: string;
    description?: string;
    versions: Record<string, {}>;
}
export declare function getPackageMeta(pkg: JsrPackage): Promise<PackageMeta>;
export declare function getLatestPackageVersion(pkg: JsrPackage): Promise<string>;
export interface NpmPackageInfo {
    name: string;
    description: string;
    "dist-tags": {
        latest: string;
    };
    versions: Record<string, {
        name: string;
        version: string;
        description: string;
        dist: {
            tarball: string;
            shasum: string;
            integrity: string;
        };
        dependencies: Record<string, string>;
    }>;
    time: {
        created: string;
        modified: string;
        [key: string]: string;
    };
}
export declare function getNpmPackageInfo(pkg: JsrPackage): Promise<NpmPackageInfo>;
