import { JsrPackage } from "./utils";
import { PkgManagerName } from "./pkg_manager";
export declare function setupNpmRc(dir: string): Promise<void>;
export declare function setupBunfigToml(dir: string): Promise<void>;
export interface BaseOptions {
    pkgManagerName: PkgManagerName | null;
}
export interface InstallOptions extends BaseOptions {
    mode: "dev" | "prod" | "optional";
}
export declare function install(packages: JsrPackage[], options: InstallOptions): Promise<void>;
export declare function remove(packages: JsrPackage[], options: BaseOptions): Promise<void>;
export interface PublishOptions {
    binFolder: string;
    pkgJsonPath: string | null;
    publishArgs: string[];
    canary: boolean;
}
export declare function publish(cwd: string, options: PublishOptions): Promise<void>;
export declare function runScript(cwd: string, script: string, options: BaseOptions): Promise<void>;
export declare function showPackageInfo(raw: string): Promise<void>;
